Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TDeleteSqlNode

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TDeleteSqlNode

All Implemented Interfaces:
  Visitable

    public class TDeleteSqlNode

extends TParseTreeNode

Field Summary
`TCTEList` | `cteList`

Constructor Summary
`TDeleteSqlNode()`

Method Summary
`TSourceToken` | `getDeleteToken()`
`TIsolationClause` | `getIsolationClause()`
`TLimitClause` | `getLimitClause()`
`TOrderBy` | `getOrderByClause()`
`TOutputClause` | `getOutputClause()`
`TFromTableList` | `getReferenceTableList()` MySQL syntax: delete table_name1.[*],table_name2.[*] ...
`TReturningClause` | `getReturningClause()`
`TFromTableList` | `getSourceTableList()`
`TFromTable` | `getTargetTable()`
`TTopClause` | `getTopClause()`
`TWhereClause` | `getWhereCondition()`
`void` | `setDeleteToken(TSourceToken deleteToken)`
`void` | `setIsolationClause(TIsolationClause isolationClause)`
`void` | `setLimitClause(TLimitClause limitClause)`
`void` | `setOrderByClause(TOrderBy orderByClause)`
`void` | `setOutputClause(TOutputClause outputClause)`
`void` | `setReferenceTableList(TFromTableList referenceTableList)`
`void` | `setReturningClause(TReturningClause returningClause)`
`void` | `setSourceTableList(TFromTableList sourceTableList)`
`void` | `setTargetTable(TFromTable targetTable)`
`void` | `setTargetTableByTableList(TFromTableList sourceTableList)`
`void` | `setTopClause(TTopClause topClause)`
`void` | `setWhereCondition(TWhereClause whereCondition)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cteList

    public TCTEList cteList

Constructor Detail

### TDeleteSqlNode

    public TDeleteSqlNode()

Method Detail

### setDeleteToken

    public void setDeleteToken(TSourceToken deleteToken)

### getDeleteToken

    public TSourceToken getDeleteToken()

### getTopClause

    public TTopClause getTopClause()

### getTargetTable

    public TFromTable getTargetTable()

### getReturningClause

    public TReturningClause getReturningClause()

### getWhereCondition

    public TWhereClause getWhereCondition()

### setReturningClause

    public void setReturningClause(TReturningClause returningClause)

### setWhereCondition

    public void setWhereCondition(TWhereClause whereCondition)

### getOutputClause

    public TOutputClause getOutputClause()

### setOutputClause

    public void setOutputClause(TOutputClause outputClause)

### setSourceTableList

    public void setSourceTableList(TFromTableList sourceTableList)

### setTargetTableByTableList

    public void setTargetTableByTableList(TFromTableList sourceTableList)

### setTargetTable

    public void setTargetTable(TFromTable targetTable)

### getSourceTableList

    public TFromTableList getSourceTableList()

### setReferenceTableList

    public void setReferenceTableList(TFromTableList referenceTableList)

### getReferenceTableList

    public TFromTableList getReferenceTableList()

  MySQL syntax: delete table_name1.[*],table_name2.[*] ... from table_references

  sourceTableList represents: table_name1.[*],table_name2.[*] ...

  referenceTableList represents: table_references

  Returns:

### setTopClause

    public void setTopClause(TTopClause topClause)

### setOrderByClause

    public void setOrderByClause(TOrderBy orderByClause)

### getOrderByClause

    public TOrderBy getOrderByClause()

### setLimitClause

    public void setLimitClause(TLimitClause limitClause)

### getLimitClause

    public TLimitClause getLimitClause()

### setIsolationClause

    public void setIsolationClause(TIsolationClause isolationClause)

### getIsolationClause

    public TIsolationClause getIsolationClause()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD